Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.devel.lens
Class CharNum

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.lens.Lens
                  multivalent.devel.lens.CharNum

All Implemented Interfaces:
  ContextListener

public class CharNum
extends Lens

CharNum lens (RFC ref).

Version:
  $Revision: 1.3 $ $Date: 2002/02/17 18:30:03 $

Field Summary
`static java.lang.String` | `MSG_SET_HEX` Switch between hex and decimal displays of character codes.

Fields inherited from class multivalent.std.lens.Lens
`ATTR_HEIGHT, ATTR_TITLE, ATTR_WIDTH, ATTR_X, ATTR_Y, VAR_SHARED_LAYER, win_`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Fields inherited from interface multivalent.ContextListener
`LITTLE, LOT, PRIORITY_LENS, PRIORITY_MAX, PRIORITY_MIN, PRIORITY_SELECTION, PRIORITY_SPAN, PRIORITY_STRUCT, SOME`

Constructor Summary
`CharNum()`

Method Summary
`boolean` | `paintAfter(Context cx, Node node)` Restores Graphics2D passed in paintBefore.
`boolean` | `paintBefore(Context cx, Node node)` Effect: Graphics2D transformation matrix.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Catch corresponding VFrame's windowClosed, windowRaised, ....
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.

Methods inherited from class multivalent.std.lens.Lens
`appearance, close, destroy, getContentBounds, getLensMan, getPriority, restore, save, show`

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, putPreference, redo, restoreChildren, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_SET_HEX

    public static final java.lang.String MSG_SET_HEX

  Switch between hex and decimal displays of character codes.

  `"setCharAsHex"`.

  See Also:
    Constant Field Values

Constructor Detail

### CharNum

    public CharNum()

Method Detail

### paintBefore

    public boolean paintBefore(Context cx,
                               Node node)

  Description copied from class: `Lens`
  Effect: Graphics2D transformation matrix.

  Overrides:
    `paintBefore` in class `Lens`
  Returns:
    `true` to short-circuit to paintAfter at that node, bypassing painting of the subtree.
  See Also:
    `Magnify`

### paintAfter

    public boolean paintAfter(Context cx,
                              Node node)

  Restores Graphics2D passed in paintBefore.

  Overrides:
    `paintAfter` in class `Lens`
  Returns:
    false so it composes with other lenses
  See Also:
    `Ruler`, `Bounds`, `Cypher`

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Lens`
  Catch corresponding VFrame's windowClosed, windowRaised, ....

  Overrides:
    `semanticEventAfter` in class `Lens`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD